# XXX For now, this script requires proxy manager

# base_category_list : list of category values we need to retrieve
# user_name : string obtained from getSecurityManager().getUser().getUserName() [NuxUserGroup]
#             or from getSecurityManager().getUser().getId() [PluggableAuthService with ERP5GroupManager]
# object : object which we want to assign roles to.
# portal_type : portal type of object

# must always return a list of dicts

if obj is None:
  return []

compute_node = obj

if compute_node.getValidationState() == 'validated':
  return {"Auditor": ["R-SHADOW-PERSON"]}

return []
